# Unit uCEFApplicationCore

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

## Description

This item has no description.

## Overview

### Classes, Interfaces, Objects and Records

Name | Description
--- | ---
Class `TCefApplicationCore` | Parent class of TCefApplication used to simplify the CEF initialization and destruction.
Class `TCEFDirectoryDeleterThread` |
Class `TCEFProxySettings` | Class used by the TWVLoader.ProxySettigns property to configure a custom proxy server using the following command line switches: –no-proxy-server, –proxy-auto-detect, –proxy-bypass-list, –proxy-pac-url and –proxy-server.

### Functions and Procedures

`procedure DestroyGlobalCEFApp;`

### Constants

`CEF_SUPPORTED_VERSION_MAJOR = 143;`
`CEF_SUPPORTED_VERSION_MINOR = 0;`
`CEF_SUPPORTED_VERSION_RELEASE = 10;`
`CEF_SUPPORTED_VERSION_BUILD = 0;`
`CEF_CHROMEELF_VERSION_MAJOR = CEF_SUPPORTED_VERSION_MAJOR;`
`CEF_CHROMEELF_VERSION_MINOR = 0;`
`CEF_CHROMEELF_VERSION_RELEASE = 7499;`
`CEF_CHROMEELF_VERSION_BUILD = 110;`
`CEF_API_VERSION_MIN = 13300;`
`CEF_API_VERSION_LAST = 14300;`
`CEF_API_VERSION = CEF_API_VERSION_LAST;`
`CEF_API_VERSION_EXPERIMENTAL = 999999;`
`CEF_API_HASH_PLATFORM_LINUX = 'ad459cb758e4783c779771ed36185e8c9fd41132';`
`CEF_API_HASH_PLATFORM_MAC = '5d611f7396aaf2dedd0c1e80c680360d998f971f';`
`CEF_API_HASH_PLATFORM_WINDOWS = '122bae6ae9a9961fb2fc27bd10aede159858f870';`
`LIBCEF_DLL = 'libcef.dll';`
`CHROMEELF_DLL = 'chrome_elf.dll';`
`LIBCEF_PAK = 'cef.pak';`
`LIBCEF_LOCALE_DIR = 'locales';`
`LIBCEF_LOCALE_ENUS = 'en-US.pak';`

### Variables

`GlobalCEFApp: TCefApplicationCore = nil;`

## Description

### Functions and Procedures

`procedure DestroyGlobalCEFApp;`
This item has no description.

### Constants

`CEF_SUPPORTED_VERSION_MAJOR = 143;`
This item has no description.

`CEF_SUPPORTED_VERSION_MINOR = 0;`
This item has no description.

`CEF_SUPPORTED_VERSION_RELEASE = 10;`
This item has no description.

`CEF_SUPPORTED_VERSION_BUILD = 0;`
This item has no description.

`CEF_CHROMEELF_VERSION_MAJOR = CEF_SUPPORTED_VERSION_MAJOR;`
This item has no description.

`CEF_CHROMEELF_VERSION_MINOR = 0;`
This item has no description.

`CEF_CHROMEELF_VERSION_RELEASE = 7499;`
This item has no description.

`CEF_CHROMEELF_VERSION_BUILD = 110;`
This item has no description.

`CEF_API_VERSION_MIN = 13300;`
values defined in cef_api_versions.json

`CEF_API_VERSION_LAST = 14300;`
This item has no description.

`CEF_API_VERSION = CEF_API_VERSION_LAST;`
This item has no description.

`CEF_API_VERSION_EXPERIMENTAL = 999999;`
value defined in /include/cef_api_hash.h

`CEF_API_HASH_PLATFORM_LINUX = 'ad459cb758e4783c779771ed36185e8c9fd41132';`
values defined in cef_api_versions.json

`CEF_API_HASH_PLATFORM_MAC = '5d611f7396aaf2dedd0c1e80c680360d998f971f';`
This item has no description.

`CEF_API_HASH_PLATFORM_WINDOWS = '122bae6ae9a9961fb2fc27bd10aede159858f870';`
This item has no description.

`LIBCEF_DLL = 'libcef.dll';`
This item has no description.

`CHROMEELF_DLL = 'chrome_elf.dll';`
This item has no description.

`LIBCEF_PAK = 'cef.pak';`
for InitLibLocationFromArgs

`LIBCEF_LOCALE_DIR = 'locales';`
This item has no description.

`LIBCEF_LOCALE_ENUS = 'en-US.pak';`
This item has no description.

### Variables

`GlobalCEFApp: TCefApplicationCore = nil;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.